## vte2.91 0.80.1

=== debian/changelog ===
vte2.91 (0.80.1-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick a background palette fix from the vte-0-80 branch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 08:35:15 -0400
