=== debian/control ===
Source: vte2.91
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gettext,
               gi-docgen,
               libfast-float-dev (>= 6),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.72.0),
               libgnutls28-dev,
               libgtk-3-dev,
               libgtk-4-dev (>= 4.14),
               liblz4-dev,
               libpango1.0-dev,
               libpcre2-dev,
               libsystemd-dev [linux-any],
               libxml2-utils,
               meson,
               valac
Rules-Requires-Root: no
Build-Depends-Indep: libatk1.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
Homepage: https://wiki.gnome.org/Apps/Terminal/VTE

Package: libvte-2.91-0
Architecture: any
Depends: libvte-2.91-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Terminal emulator widget for GTK 3 - runtime files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the runtime library, needed by programs using the
 VTE widget with GTK 3.

Package: libvte-2.91-0-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Terminal emulator widget for GTK 3 - minimal runtime
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the minimal runtime library for GTK 3 needed
 by the Debian installer.

Package: libvte-2.91-gtk4-0
Architecture: any
Depends: libvte-2.91-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Terminal emulator widget for GTK 4 - runtime files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the runtime library, needed by programs using the
 VTE widget with GTK 4.

Package: gir1.2-vte-2.91
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GObject introspection data for the VTE library (GTK 3 version)
 This package contains introspection data for VTE, a terminal emulator
 widget for GTK.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the VTE widget for GTK 3.

Package: gir1.2-vte-3.91
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GObject introspection data for the VTE library (GTK 4 version)
 This package contains introspection data for VTE, a terminal emulator
 widget for GTK.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the VTE widget for GTK 4.

Package: libvte-2.91-dev
Architecture: any
Section: libdevel
Depends: gir1.2-vte-2.91 (= ${binary:Version}),
         libglib2.0-dev (>= 2.72.0),
         libgnutls28-dev,
         libgtk-3-dev,
         libpango1.0-dev,
         libpcre2-dev,
         libvte-2.91-0 (= ${binary:Version}),
         libvte-2.91-common,
         zlib1g-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Recommends: libvte-2.91-doc
Conflicts: libvte-2.90-dev
Multi-Arch: same
Description: Terminal emulator widget for GTK 3 - development files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains development files for the VTE library and its
 Python bindings. It is needed to develop and build programs using the
 VTE widget with GTK 3.

Package: libvte-2.91-gtk4-dev
Architecture: any
Section: libdevel
Depends: gir1.2-vte-3.91 (= ${binary:Version}),
         libglib2.0-dev (>= 2.72.0),
         libgnutls28-dev,
         libgtk-4-dev (>= 4.14),
         libpango1.0-dev,
         libpcre2-dev,
         libvte-2.91-common,
         libvte-2.91-gtk4-0 (= ${binary:Version}),
         zlib1g-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Recommends: libvte-2.91-doc
Multi-Arch: same
Description: Terminal emulator widget for GTK 4 - development files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains development files for the VTE library and its
 Python bindings. It is needed to develop and build programs using the
 VTE widget with GTK 4.

Package: libvte-2.91-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Terminal emulator widget for GTK 3 - common files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains internationalization files for the VTE library
 and common files for the GTK 3 version.

Package: libvte-2.91-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Terminal emulator widget for GTK 3 - documentation
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains documentation files for the VTE library for GTK 3.

Package: libvte-2.91-gtk4-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Terminal emulator widget for GTK 4 - documentation
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains documentation files for the VTE library for GTK 4.
