## vte2.91 0.80.3

=== debian/changelog ===
vte2.91 (0.80.3-3) unstable; urgency=medium

  * Team upload
  * d/*.symbols: Ignore all C++ mangled symbols for ABI purposes.
    The vte library's public API/ABI is all C, even though it is
    implemented in C++ internally, so anything with C++ name-mangling
    is not part of the ABI.
    - In particular this fixes FTBFS with g++-15 (Closes: #1098075)
  * d/control: Build-depend on required GIR XML (gir1.2-*-dev packages)
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control: Remove unused B-D-I on -doc packages.
    gtk-doc-tools wanted these, but gi-docgen doesn't use them.
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/control, d/rules: Only run gi-docgen if we are actually building
    the documentation

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Sep 2025 10:51:48 +0100

vte2.91 (0.80.3-2) unstable; urgency=medium

  * Team upload
  * Expand description of upstream changes in previous changelog entry
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Jul 2025 10:57:34 +0100

vte2.91 (0.80.3-1) experimental; urgency=medium

  * New upstream release
    - emulation: Implement XTERM_RQTCAP, used by recent systemd to discover
      the correct value for $TERM automatically
      (vte#2884 upstream)
    - Add Uzbek (Latin) translation
  * Remove "Fix OSC 111" patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 28 Jun 2025 15:50:29 -0400
