=== debian/control ===
--- 
+++ 
@@ -7,9 +7,16 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                gettext,
-               gi-docgen,
+               gir1.2-cairo-1.0-dev,
+               gir1.2-gdk-3.0-dev,
+               gir1.2-gdk-4.0-dev,
+               gir1.2-graphene-1.0-dev,
+               gir1.2-gsk-4.0-dev,
+               gir1.2-gtk-3.0-dev,
+               gir1.2-gtk-4.0-dev,
+               gir1.2-pango-1.0-dev,
+               gobject-introspection (>= 1.80),
                libfast-float-dev (>= 6),
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.72.0),
                libgnutls28-dev,
                libgtk-3-dev,
@@ -21,11 +28,8 @@
                libxml2-utils,
                meson,
                valac
-Rules-Requires-Root: no
-Build-Depends-Indep: libatk1.0-doc <!nodoc>,
-                     libglib2.0-doc <!nodoc>,
-                     libgtk-3-doc <!nodoc>
-Standards-Version: 4.7.0
+Build-Depends-Indep: gi-docgen,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
