=== debian/changelog ===
vte2.91 (0.82.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1114024)
  * Refresh patches
  * debian/*.symbols: Add new symbols
  * debian/copyright: Document fmtlib 11 code copy
  * debian/copyright: Document simdutf code copy
  * Extra-Exclude: exclude fast-float, exclude simdutf benchmarks/

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 17:42:36 -0400
