=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                gir1.2-pango-1.0-dev,
                gobject-introspection (>= 1.80),
                libfast-float-dev (>= 6),
+#               libfmt-dev (>= 11.0.0),
                libglib2.0-dev (>= 2.72.0),
                libgnutls28-dev,
                libgtk-3-dev,
@@ -24,6 +25,7 @@
                liblz4-dev,
                libpango1.0-dev,
                libpcre2-dev,
+#               libsimdutf-dev,
                libsystemd-dev [linux-any],
                libxml2-utils,
                meson,
