=== debian/changelog ===
vte2.91 (0.82.1-1) unstable; urgency=medium

  * New upstream release
  * Build with system simdutf (Closes: #1115170)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Oct 2025 07:25:22 -0400
