=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                liblz4-dev,
                libpango1.0-dev,
                libpcre2-dev,
-#               libsimdutf-dev,
+               libsimdutf-dev,
                libsystemd-dev [linux-any],
                libxml2-utils,
                meson,
