## vte2.91 0.82.2

=== debian/changelog ===
vte2.91 (0.82.2-1build2) resolute; urgency=medium

  * Rebuild against latest simdutf

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Dec 2025 13:00:11 -0500

vte2.91 (0.82.2-1build1) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Dec 2025 22:51:19 +0100

vte2.91 (0.82.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Nov 2025 10:52:26 -0500
