=== debian/changelog ===
vte2.91 (0.82.3-2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Mon, 05 Jan 2026 14:08:11 +0200

vte2.91 (0.82.3-2) unstable; urgency=medium

  * Only build gtk4 packages on architectures where gtk4 is available

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Jan 2026 17:46:51 -0500

vte2.91 (0.82.3-1) unstable; urgency=medium

  * New upstream release
  * Mark gi-docgen as only needed for docs build
  * Override dh_gnome to avoid build warnings
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Jan 2026 17:53:57 -0500
