=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: vte2.91
 Section: libs
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -9,11 +8,11 @@
                gettext,
                gir1.2-cairo-1.0-dev,
                gir1.2-gdk-3.0-dev,
-               gir1.2-gdk-4.0-dev,
+               gir1.2-gdk-4.0-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64],
                gir1.2-graphene-1.0-dev,
-               gir1.2-gsk-4.0-dev,
+               gir1.2-gsk-4.0-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64],
                gir1.2-gtk-3.0-dev,
-               gir1.2-gtk-4.0-dev,
+               gir1.2-gtk-4.0-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64],
                gir1.2-pango-1.0-dev,
                gobject-introspection (>= 1.80),
                libfast-float-dev (>= 6),
@@ -21,17 +20,16 @@
                libglib2.0-dev (>= 2.72.0),
                libgnutls28-dev,
                libgtk-3-dev,
-               libgtk-4-dev (>= 4.14),
+               libgtk-4-dev (>= 4.14) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64],
                liblz4-dev,
                libpango1.0-dev,
                libpcre2-dev,
                libsimdutf-dev,
-               libsystemd-dev [linux-any],
                libxml2-utils,
                meson,
                valac
-Build-Depends-Indep: gi-docgen,
-Standards-Version: 4.7.2
+Build-Depends-Indep: gi-docgen <!nodoc>
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
@@ -39,8 +37,6 @@
 Package: libvte-2.91-0
 Architecture: any
 Depends: libvte-2.91-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
 Multi-Arch: same
 Description: Terminal emulator widget for GTK 3 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
@@ -67,7 +63,7 @@
  by the Debian installer.
 
 Package: libvte-2.91-gtk4-0
-Architecture: any
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
 Depends: libvte-2.91-common (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -94,7 +90,7 @@
  write programs using the VTE widget for GTK 3.
 
 Package: gir1.2-vte-3.91
-Architecture: any
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
 Section: introspection
 Depends: ${gir:Depends}, ${misc:Depends}
 Multi-Arch: same
@@ -134,7 +130,7 @@
  VTE widget with GTK 3.
 
 Package: libvte-2.91-gtk4-dev
-Architecture: any
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
 Section: libdevel
 Depends: gir1.2-vte-3.91 (= ${binary:Version}),
          libglib2.0-dev (>= 2.72.0),
