=== debian/rules ===
--- 
+++ 
@@ -9,34 +9,33 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 include /usr/share/dpkg/default.mk
 
+ifneq ($(filter libvte-2.91-gtk4-dev libvte-2.91-gtk4-doc,$(shell dh_listpackages)),)
+GTK4=-Dgtk4=true
+else
+GTK4=-Dgtk4=false
+endif
+
 %:
 	dh $@
 
-CONFFLAGS_deb = \
-	-Dgir=true \
-	-Dgnutls=true \
-	-Dgtk4=true
-
-ifeq ($(filter %-doc,$(binaries)),)
-CONFFLAGS_deb += -Ddocs=false
-else
-CONFFLAGS_deb += -Ddocs=true
-endif
-
-CONFFLAGS_udeb = \
-	-Ddocs=false \
-	-Dgir=false \
-	-Dgnutls=false \
-	-Dicu=false \
-	-Dvapi=false \
-	-D_systemd=false
-
 override_dh_auto_configure:
-	dh_auto_configure --builddirectory=build-deb -- $(CONFFLAGS_deb)
+	dh_auto_configure --builddirectory=build-deb -- \
+		-Ddocs=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
+		-Dgir=true \
+		-Dgnutls=true \
+		-D_systemd=false \
+		$(GTK4)
 ifneq ($(filter %-udeb,$(binaries)),)
 	CFLAGS='$(CFLAGS) -static-libgcc' \
 	CXXFLAGS='$(CXXFLAGS) -static-libgcc -static-libstdc++' \
-	dh_auto_configure --builddirectory=build-udeb -- $(CONFFLAGS_udeb)
+	dh_auto_configure --builddirectory=build-udeb -- \
+		-Ddocs=false \
+		-Dgir=false \
+		-Dgnutls=false \
+		-Dgtk4=false \
+		-Dicu=false \
+		-Dvapi=false \
+		-D_systemd=false
 endif
 
 override_dh_auto_build:
@@ -49,12 +48,11 @@
 	dh_auto_install --builddirectory=build-deb \
 		--destdir=debian/tmp/deb
 	rm debian/tmp/deb/usr/bin/vte-2.91
-	rm debian/tmp/deb/usr/bin/vte-2.91-gtk4
+	rm -f debian/tmp/deb/usr/bin/vte-2.91-gtk4
 ifneq ($(filter %-udeb,$(binaries)),)
 	dh_auto_install --builddirectory=build-udeb \
 		--destdir=debian/tmp/udeb
 	rm debian/tmp/udeb/usr/bin/vte-2.91
-	rm debian/tmp/udeb/usr/bin/vte-2.91-gtk4
 	rm debian/tmp/udeb/usr/libexec/vte-urlencode-cwd
 endif
 	mv debian/tmp/deb/etc/profile.d/vte.sh \
@@ -87,4 +85,5 @@
 override_dh_missing:
 	dh_missing -X usr/share/applications -X usr/share/xdg-terminals
 
-override_dh_gnome_clean:
+# We only use dh_gnome to automatically run dh_translations in Ubuntu
+override_dh_gnome:
