## vte2.91 0.83.90

=== meson_options.txt ===
--- 
+++ 
@@ -114,6 +114,13 @@
 )
 
 option(
+  'terminfo',
+  type: 'boolean',
+  value: false,
+  description: 'Enable vte terminfo (experimental)',
+)
+
+option(
   'vapi', # would use 'vala' but that name is reserved
   type: 'boolean',
   value: true,
