=== debian/changelog ===
vte2.91 (0.83.90-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/p: Rebase backgroud-color patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Feb 2026 18:07:44 +0100
