=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vte2.91
-Section: libs
+Standards-Version: 4.7.3
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
+Section: libs
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -17,7 +18,7 @@
                gobject-introspection (>= 1.80),
                libfast-float-dev (>= 6),
 #               libfmt-dev (>= 11.0.0),
-               libglib2.0-dev (>= 2.72.0),
+               libglib2.0-dev,
                libgnutls28-dev,
                libgtk-3-dev,
                libgtk-4-dev (>= 4.14) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64],
@@ -25,49 +26,51 @@
                libpango1.0-dev,
                libpcre2-dev,
                libsimdutf-dev,
+               libsystemd-dev [linux-any],
                libxml2-utils,
                meson,
                valac
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common (= ${binary:Version}),
-Multi-Arch: same
-Description: Terminal emulator widget for GTK 3 - runtime files
- The VTE library provides a terminal emulator widget VteTerminal for
- applications using the GTK toolkit. It also provides the VtePTY object
- containing functions for starting a new process on a new
- pseudo-terminal and for manipulating pseudo-terminals.
- .
- This package contains the runtime library, needed by programs using the
- VTE widget with GTK 3.
-
-Package: libvte-2.91-0-udeb
-Package-Type: udeb
-Build-Profiles: <!noudeb>
-Section: debian-installer
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Terminal emulator widget for GTK 3 - minimal runtime
- The VTE library provides a terminal emulator widget VteTerminal for
- applications using the GTK toolkit. It also provides the VtePTY object
- containing functions for starting a new process on a new
- pseudo-terminal and for manipulating pseudo-terminals.
- .
- This package contains the minimal runtime library for GTK 3 needed
- by the Debian installer.
-
-Package: libvte-2.91-gtk4-0
-Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
+Multi-Arch: same
 Depends: libvte-2.91-common (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Multi-Arch: same
+Description: Terminal emulator widget for GTK 3 - runtime files
+ The VTE library provides a terminal emulator widget VteTerminal for
+ applications using the GTK toolkit. It also provides the VtePTY object
+ containing functions for starting a new process on a new
+ pseudo-terminal and for manipulating pseudo-terminals.
+ .
+ This package contains the runtime library, needed by programs using the
+ VTE widget with GTK 3.
+
+Package: libvte-2.91-0-udeb
+Architecture: any
+Build-Profiles: <!noudeb>
+Section: debian-installer
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Package-Type: udeb
+Description: Terminal emulator widget for GTK 3 - minimal runtime
+ The VTE library provides a terminal emulator widget VteTerminal for
+ applications using the GTK toolkit. It also provides the VtePTY object
+ containing functions for starting a new process on a new
+ pseudo-terminal and for manipulating pseudo-terminals.
+ .
+ This package contains the minimal runtime library for GTK 3 needed
+ by the Debian installer.
+
+Package: libvte-2.91-gtk4-0
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
+Multi-Arch: same
+Depends: libvte-2.91-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Terminal emulator widget for GTK 4 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object
@@ -79,9 +82,9 @@
 
 Package: gir1.2-vte-2.91
 Architecture: any
+Multi-Arch: same
 Section: introspection
 Depends: ${gir:Depends}, ${misc:Depends}
-Multi-Arch: same
 Description: GObject introspection data for the VTE library (GTK 3 version)
  This package contains introspection data for VTE, a terminal emulator
  widget for GTK.
@@ -91,9 +94,9 @@
 
 Package: gir1.2-vte-3.91
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
+Multi-Arch: same
 Section: introspection
 Depends: ${gir:Depends}, ${misc:Depends}
-Multi-Arch: same
 Description: GObject introspection data for the VTE library (GTK 4 version)
  This package contains introspection data for VTE, a terminal emulator
  widget for GTK.
@@ -103,9 +106,10 @@
 
 Package: libvte-2.91-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-vte-2.91 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.72.0),
+         libglib2.0-dev,
          libgnutls28-dev,
          libgtk-3-dev,
          libpango1.0-dev,
@@ -115,10 +119,9 @@
          zlib1g-dev,
          ${gir:Depends},
          ${misc:Depends}
-Provides: ${gir:Provides}
 Recommends: libvte-2.91-doc
 Conflicts: libvte-2.90-dev
-Multi-Arch: same
+Provides: ${gir:Provides}
 Description: Terminal emulator widget for GTK 3 - development files
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object
@@ -131,9 +134,10 @@
 
 Package: libvte-2.91-gtk4-dev
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
+Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-vte-3.91 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.72.0),
+         libglib2.0-dev,
          libgnutls28-dev,
          libgtk-4-dev (>= 4.14),
          libpango1.0-dev,
@@ -143,9 +147,8 @@
          zlib1g-dev,
          ${gir:Depends},
          ${misc:Depends}
+Recommends: libvte-2.91-doc
 Provides: ${gir:Provides}
-Recommends: libvte-2.91-doc
-Multi-Arch: same
 Description: Terminal emulator widget for GTK 4 - development files
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object
@@ -158,8 +161,8 @@
 
 Package: libvte-2.91-common
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: foreign
 Description: Terminal emulator widget for GTK 3 - common files
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object
@@ -171,10 +174,10 @@
 
 Package: libvte-2.91-doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Build-Profiles: <!nodoc>
 Description: Terminal emulator widget for GTK 3 - documentation
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object
@@ -185,10 +188,10 @@
 
 Package: libvte-2.91-gtk4-doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Build-Profiles: <!nodoc>
 Description: Terminal emulator widget for GTK 4 - documentation
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object
