=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
 		-Ddocs=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
 		-Dgir=true \
 		-Dgnutls=true \
-		-D_systemd=false \
 		$(GTK4)
 ifneq ($(filter %-udeb,$(binaries)),)
 	CFLAGS='$(CFLAGS) -static-libgcc' \
